android sdk更新后出现please update ADT to the latest ve
android sdk更新后出现please update ADT to the latest ve
山里来的鱼 发表于3年前
android sdk更新后出现please update ADT to the latest ve
  • 发表于 3年前
  • 阅读 17
  • 收藏 0
  • 点赞 0
  • 评论 0

新睿云服务器60天免费使用,快来体验!>>>   

摘要: 1、修改android-sdk-windows/tools/lib下的plugin.pro文件 2、将ADT插件也更新到最新的版本。"

转自http://www.52youpiao.com/it/post/android-adt-latest-version.html

Google发布一个新的android版本,那么开发android的SDK也最好更新到最新的API。最近在更新API后在Eclipse preference里指向android-sdk-windows时出现This Android SDK requires Android Developer Toolkit version 21.0.0 or above.  Current version is 16.0.0.v201102162101-104271.  Please update ADT to the latest version.这是由于当前Eclipse开发环境的ADT插件的版本过低造成的。

分析原因

android sdk版本更新到了最新的21.0.0 ,而之前我安装的是16.0.0的版本,在更新到最新的API后android-sdk-windows/tools/lib下的plugin.pro文 件内容变为# begin plugin.prop plugin.version=21.0.0# end plugin.prop而Eclipse开发环境的在查看该文件时,查找到plugin.version=21.0.0,认为当前的sdk需要 21.0.0版本以上的插件,但我们还是以前旧的插件。ADT插件的版本还是16.0.0的,所以导致出现了上述问题。

解决方法有如下两种

1、 修改android-sdk-windows/tools/lib下的plugin.pro文件,用记事本打开,将plugin.version的版本信 息改为旧版本的版本号,诸如提示的16.0.0. 修改为plugin.version=16.0.0,保存,重启Eclipse即可。

2、将ADT插件也更新到最新的版本。"Help-->Install New Software..."在work with中找到你的ADT插件项,然后再更新即可。

  • 打赏
  • 点赞
  • 收藏
  • 分享
共有 人打赏支持
粉丝 6
博文 156
码字总数 28874
×
山里来的鱼
如果觉得我的文章对您有用,请随意打赏。您的支持将鼓励我继续创作!
* 金额(元)
¥1 ¥5 ¥10 ¥20 其他金额
打赏人
留言
* 支付类型
微信扫码支付
打赏金额:
已支付成功
打赏金额: